#pragma once

#include "precomp.h"

class SoccerPlayer {
public:
	SoccerPlayer();
	PointF position;
	PointF velocity;
	REAL radius;
	REAL kick;
private:
};

class SoccerBall {
public:
	SoccerBall();
	PointF position;
	PointF velocity;
	REAL radius;
private:
};

class SoccerField {
public:
	void FillDatagram(DATAGRAM *d);
	void ReadDatagram(DATAGRAM *d);
	SoccerPlayer team0[NUM_PLAYERS];
	SoccerPlayer team1[NUM_PLAYERS];
	SoccerBall ball;
	PointF size;
	int score[2];
	int paused;
private:
};
